<ng-container *ngFor="let b of button | orderBy: 'index';">
    <button type="button" class="btn btn-primary ml-1" [ngClass]="b.size" (click)="emitClick('cerrar')"
        *ngIf="b.value === 'cerrar'">
        <i class="fa fa-close mr-2"></i>Cerrar
    </button>
    <button type="button" class="btn btn-success ml-1" [ngClass]="b.size" (click)="emitClick('guardar')"
        *ngIf="b.value === 'guardar'">
        <i class="fa fa-save mr-2"></i>Guardar
    </button>
    <button type="button" class="btn btn-success ml-1" [ngClass]="b.size" (click)="emitClick('aceptar')"
        *ngIf="b.value === 'aceptar'">
        <i class="fa fa-check mr-2"></i>Aceptar
    </button>
    <button type="button" class="btn btn-light py-2 ml-1" [ngClass]="b.size" (click)="emitClick('buscar')"
        *ngIf="b.value === 'buscar'">
        <i class="fa fa-search mr-2 text-primary"></i>Buscar
    </button>
    <button type="button" class="btn btn-light py-2 ml-1" [ngClass]="b.size" (click)="emitClick('pdf')"
        *ngIf="b.value === 'pdf'">
        <i class="fa fa-file-pdf-o mr-2 text-danger"></i>PDF
    </button>
    <button type="button" class="btn btn-light py-2 ml-1" [ngClass]="b.size" (click)="emitClick('excel')"
        *ngIf="b.value === 'excel'">
        <i class="fa fa-file-excel-o mr-2 text-success"></i>Excel
    </button>
    <button type="button" class="btn btn-light px-4 py-2 ml-1" [ngClass]="b.size" (click)="emitClick('imprimir')"
        *ngIf="b.value === 'imprimir'">
        <i class="fa fa-search mr-2 text-info"></i>Imprimir
    </button>
    <button type="button" class="btn btn-light px-4 py-2 ml-1" [ngClass]="b.size" (click)="emitClick('detalle')"
        *ngIf="b.value === 'detalle'">
        <i class="fa fa-external-link mr-2 text-info"></i>Detalle
    </button>
    <button type="button" class="btn btn-light px-4 py-2 ml-1" [ngClass]="b.size" (click)="emitClick('nuevo')"
        *ngIf="b.value === 'nuevo'">
        <i class="fa fa-plus mr-2 text-success"></i>Nuevo
    </button>
</ng-container>